from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XConsolidatable(XInterface, Protocol):
    def createConsolidationDescriptor(self, bEmpty: bool) -> XConsolidationDescriptor: ...
    def consolidate(self, xDescriptor: XConsolidationDescriptor) -> None: ...
